# -*- encoding: utf-8 -*-
# Author:: Farzad FARID (<ffarid@pragmatic-source.com>)
# Copyright:: Copyright (c) 2011-2012 Farzad FARID
# License:: Simplified BSD License

$:.push File.expand_path("../lib", __FILE__)
require "rbZabbix/version"

Gem::Specification.new do |s|
  s.name        = "rbZabbix"
  s.version     = Zabby::VERSION
  s.platform    = Gem::Platform::RUBY
  s.authors     = ["Levi Jarick"]
  s.email       = ["Levi.Jarick@ubeek.net"]
  s.homepage    = "http://github.com/ubeek/rbZabbix/"
  s.summary     = %q{Ruby Zabbix API, scripting language and command line interface}
  s.description = %q{rbZabbix is a Zabby API and CLI. It provides a provisioning tool for
creating, updating and querying Zabbix objects (hosts, items, triggers, etc.) through the web
service based on the Zabby gem by Farzad Farid.}
  s.license     = "Simplified BSD"

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]
  s.extra_rdoc_files = [ "TODO.rdoc", "ChangeLog.rdoc" ]
  s.add_runtime_dependency "json"
  s.add_development_dependency "bundler", ">= 1.0.0"
  s.add_development_dependency "rspec", ">= 2.0.0"
  s.add_development_dependency "rake", ">= 0.8.7"
  s.add_development_dependency "yard"
end
